Bug 923821 - Please remove the need for ConsoleKit, and move to systemd-logon control like the rest of the session managers.
Please remove the need for ConsoleKit, and move to systemd-logon control like...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxsession (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-20 10:19 EDT by Daniel Walsh
Modified: 2015-02-17 09:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:52:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2013-03-20 10:19:31 EDT
We are trying to remove ConsoleKit from the distribution.
Comment 1 Christoph Wickert 2013-03-21 08:49:58 EDT
This is probably the most cryptic bug I've ever seen. Could you please be more verbose or give me a link for reference?
Comment 2 Daniel Walsh 2013-03-22 10:45:15 EDT
Sorry maybe this link will give more background.

https://fedoraproject.org/wiki/Features/ckremoval
Comment 3 Christoph Wickert 2013-03-22 12:31:40 EDT
Sorry, but where does this state that ConsoleKit is removed from the distribution? It's removed from the default install, it's no longer required by gdm, but that's it. I mean, what do you want me to change exactly? Implement systemd and multiseat support in lxdm? This is a major effort that should happen upstream and not in the distribution.
Comment 4 Daniel Walsh 2013-03-25 10:29:10 EDT
That is fine.  I believe it has also been removed from kdm and maybe some others.  I am not sure of the amount of support ConsoleKit is going to get in the future.  

Can you just inform upstream about this.
Comment 5 Fedora End Of Life 2015-01-09 12:47:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:52:53 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.